Firefox 62: changes to the WebExtensions API - problems?

Ask for help about NoScript, no registration needed to post
fenix

Firefox 62: changes to the WebExtensions API - problems?

Post by fenix » Sun Jul 08, 2018 7:24 pm

Hello.

A couple of days ago Firefox 62 has been released in so-called "beta channel". This version contains some changes and enhancements in the WebExtensions API (please see 1). However, some users reported, that after Firefox update, all addons are disabled - including NoScript (see Comments [in:] 1).

So, I would like to ask Mr Maone if he is aware of a mentioned WebExtensions API improvements? Are there really issues with NoScript and Firefox 62?

Thank, best regards.
___________________
1. https://blog.mozilla.org/addons/2018/07 ... irefox-62/
Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0

User avatar
Giorgio Maone
Site Admin
Posts: 8958
Joined: Wed Mar 18, 2009 11:22 pm
Location: Palermo - Italy
Contact:

Re: Firefox 62: changes to the WebExtensions API - problems?

Post by Giorgio Maone » Mon Jul 09, 2018 12:00 am

I'm regularly test NoScript on Firefox Developer Edition (currently 62 beta) and Nightly (63 alpha), and they're working fine.
Could you try installing latest development build?
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:61.0) Gecko/20100101 Firefox/61.0

fenix

Re: Firefox 62: changes to the WebExtensions API - problems?

Post by fenix » Wed Jul 18, 2018 3:08 pm

Hello.

Mr Maone, thank You very much for an answer and I'm sorry for such a long time without my answer. That's great if NoScript works okay in a Devel and Nightly versions etc.

You've asked about installing latest Development build, right? I'm a little confused because version v10.1.8.8rc1 is "last" entry in development history. On the same site, above, there is an informations about latest Stable release, which is v10.1.8.8. And that's the version I'm using. So, I can not install latest Development version because it's rc-1 version - and final v10.1.8.8 version is already released on July 17., right?

But maybe I'm wrong... Is there anything I can do in such a situation to help You with an issue mentioned in my first post? Anyway, everything seems to be okay, but I have some questions. I will create a new thread for these issues.

Thanks, best regards.
Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0

skriptimaahinen
Senior Member
Posts: 214
Joined: Wed Jan 10, 2018 7:37 am

Re: Firefox 62: changes to the WebExtensions API - problems?

Post by skriptimaahinen » Wed Jul 18, 2018 8:42 pm

When doing testing, always install the latest version, no matter if it's RC or stable.
Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0

barbaz
Senior Member
Posts: 9691
Joined: Sat Aug 03, 2013 5:45 pm

Re: Firefox 62: changes to the WebExtensions API - problems?

Post by barbaz » Wed Jul 18, 2018 10:44 pm

The latest rc version / dev build is always supposed to either be identical to or more recent than the latest stable release.
*Always* check the changelogs BEFORE updating that important software!
-

Post Reply